/*
 * $Id: Generator_insert.cpp 88 2008-12-10 18:31:39Z rosiere $
 *
 * [ Description ]
 * 
 */

#include "Behavioural/Configuration/include/Generator.h"

namespace morpheo {
namespace behavioural {
namespace configuration {

#undef  FUNCTION
#define FUNCTION "Generator::insert"
  void Generator::insert (Parameter_definition * param)
  {
    log_begin(Configuration,FUNCTION);

    (*_array_param)[param->_name] = param;

    log_end(Configuration,FUNCTION);
  };

  void Generator::insert (Link_definition * link)
  {
    log_begin(Configuration,FUNCTION);

    (*_array_link)[link->_name] = link;

    log_end(Configuration,FUNCTION);
  };

}; // end namespace configuration
}; // end namespace behavioural
}; // end namespace morpheo              
